RubyGems.org

pg

0.15.0.pre.454

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.3 and later}[http://bit.ly/6AfPhm]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

installgem install pg -v 0.15.0.pre.454 --pre
Authors

Michael Granger

11,654,313 total downloads 768 for this version
Owners

Feef2024584d97a97338b964661ca795Abc11c007a3a284272d261b2dae6376e04cdb622ce0aac272b61f23f373e2abf

Licenses

BSD, Ruby, GPL

Gemfile
gem 'pg', '~> 0.15.0.pre.454'
Versions
  1. 0.18.0.pre20141017160319 October 17, 2014 (197 KB)
  2. 0.18.0.pre20141017155815 October 17, 2014 (197 KB)
  3. 0.18.0.pre20140820094244 August 20, 2014 (141 KB)
  4. 0.17.2.pre.546 July 25, 2014 (140 KB)
  5. 0.17.1 December 19, 2013 (140 KB)
Show all versions (76 total)